Index: vlib/viint.s
===================================================================
--- vlib/viint.s	(revision 4f508e6879b14fc73a3587ac6cd023ca6262eae8)
+++ vlib/viint.s	(revision 27c8d4002e04fa5beee2de6454fd13922f10e079)
@@ -19,8 +19,8 @@
 		.text
 
-		.xdef	_VIint			| Vertical Interval int. handler
-
-		.xdef	_vi_sadr		| score object base address
-		.xdef	_vi_scrl		| score object scroll offset
+		.xdef	VIint			| Vertical Interval int. handler
+
+		.xdef	vi_sadr			| score object base address
+		.xdef	vi_scrl			| score object scroll offset
 		.xdef	lclsadr			| local scroll address
 		.xdef	lclscrl			| local scroll offset
@@ -32,10 +32,10 @@
 		.xdef	VIct4			| VSDD interrupt R11
 
-		.xref	_v_regs			| VSDD registers
-		.xref	_v_odtab		| VSDD object descriptor table
-
-		.xref	_vi_clk			| scroll delay timer
-		.xref	_vi_ctl			| unblank control word
-		.xref	_vi_tag			| VSDD 'needs service' tag
+		.xref	v_regs			| VSDD registers
+		.xref	v_odtab			| VSDD object descriptor table
+
+		.xref	vi_clk			| scroll delay timer
+		.xref	vi_ctl			| unblank control word
+		.xref	vi_tag			| VSDD 'needs service' tag
 
 		.page
@@ -47,6 +47,6 @@
 STACKSR		=	32			| offset to sr on stack
 V_BLA		=	4			| V_BLA (blank) bit number
-VSDD_R5		=	10			| VSDD R5 byte offset in _v_regs
-VSDD_R11	=	22			| VSDD R11 byte offset in _v_regs
+VSDD_R5		=	10			| VSDD R5 byte offset in v_regs
+VSDD_R11	=	22			| VSDD R11 byte offset in v_regs
 
 VT_BASE		=	128			| word offset of VSDD Access Table
@@ -74,12 +74,12 @@
 		.page
 
-| _VIint -- Vertical interval interrupt handler
-| ------    -----------------------------------
-_VIint:		movem.l	d0-d3/a0-a2/a6,-(a7)	| save registers
+| VIint -- Vertical interval interrupt handler
+| -----    -----------------------------------
+VIint:		movem.l	d0-d3/a0-a2/a6,-(a7)	| save registers
 		addi.w	#0x0100,STACKSR(a7)	| raise IPL in sr on the stack
 
-		move.w	_v_regs+VSDD_R11,VIct1	| save the VSDD R11 value
-
-		tst.w	_vi_sadr		| see if we should scroll
+		move.w	v_regs+VSDD_R11,VIct1	| save the VSDD R11 value
+
+		tst.w	vi_sadr			| see if we should scroll
 		beq	viunbl			| jump if not
 
@@ -87,64 +87,64 @@
 | setup delayed scroll parameters
 | ------------------------------------------------------------------------------
-		move.w	_v_regs+VSDD_R5,d0	| get VSDD R5
+		move.w	v_regs+VSDD_R5,d0	| get VSDD R5
 		move.w	d0,d1			| save it for later
 		andi.w	#0x0180,d0		| see if we're already in bank 0
 		beq	dlyscrl			| jump if so
 
-		clr.w	_v_regs+VSDD_R5		| set bank 0
-
-		move.w	_v_regs+VSDD_R11,VIct2	| save the VSDD R11 value
-
-vw1a:		cmp.w	#VT_1,_v_regs+VSDD_R11	| wait for FRAMESTOP
+		clr.w	v_regs+VSDD_R5		| set bank 0
+
+		move.w	v_regs+VSDD_R11,VIct2	| save the VSDD R11 value
+
+vw1a:		cmp.w	#VT_1,v_regs+VSDD_R11	| wait for FRAMESTOP
 		bcc	vw1a			| ...
 
-vw2a:		cmp.w	#VT_1,_v_regs+VSDD_R11	| ...
+vw2a:		cmp.w	#VT_1,v_regs+VSDD_R11	| ...
 		bcs	vw2a			| ...
 
-vw3a:		cmp.w	#VT_1,_v_regs+VSDD_R11	| ...
+vw3a:		cmp.w	#VT_1,v_regs+VSDD_R11	| ...
 		bcc	vw3a			| ...
 
-vw4a:		cmp.w	#VT_2,_v_regs+VSDD_R11	| ...
+vw4a:		cmp.w	#VT_2,v_regs+VSDD_R11	| ...
 		bcs	vw4a			| ...
 
-dlyscrl:	tst.w	_vi_tag			| wait for previous scroll
+dlyscrl:	tst.w	vi_tag			| wait for previous scroll
 		bne	dlyscrl			| ...
 
-		move.w	_vi_sadr,lclsadr	| save address for timeint
-		move.w	_vi_scrl,lclscrl	| save offset for timeint
-		clr.w	_vi_sadr		| reset for next time
-		clr.w	_vi_scrl		| ...
-		move.w	vdelay,_vi_clk		| set the scroll delay timer
-		st	_vi_tag			| set the 'need service' tag
+		move.w	vi_sadr,lclsadr		| save address for timeint
+		move.w	vi_scrl,lclscrl		| save offset for timeint
+		clr.w	vi_sadr			| reset for next time
+		clr.w	vi_scrl			| ...
+		move.w	vdelay,vi_clk		| set the scroll delay timer
+		st	vi_tag			| set the 'need service' tag
 | ------------------------------------------------------------------------------
 | check for unblank requests
 | ------------------------------------------------------------------------------
-		move.w	_vi_ctl,d2		| get the unblank control word
+		move.w	vi_ctl,d2		| get the unblank control word
 		beq	viexit			| exit if nothing to unblank
 
 		bra	unblnk			| go unblank some objects
 
-viunbl:		move.w	_vi_ctl,d2		| get the unblank control word
+viunbl:		move.w	vi_ctl,d2		| get the unblank control word
 		beq	vidone			| exit if nothing to unblank
 
-		move.w	_v_regs+VSDD_R5,d0	| get VSDD R5
+		move.w	v_regs+VSDD_R5,d0	| get VSDD R5
 		move.w	d0,d1			| save it for later
 		andi.w	#0x0180,d0		| see if we're already in bank 0
 		beq	unblnk			| jump if so
 
-		clr.w	_v_regs+VSDD_R5		| set bank 0
-
-		move.w	_v_regs+VSDD_R11,VIct3	| save the VSDD R11 value
-
-vw1b:		cmp.w	#VT_1,_v_regs+VSDD_R11	| wait for FRAMESTOP
+		clr.w	v_regs+VSDD_R5		| set bank 0
+
+		move.w	v_regs+VSDD_R11,VIct3	| save the VSDD R11 value
+
+vw1b:		cmp.w	#VT_1,v_regs+VSDD_R11	| wait for FRAMESTOP
 		bcc	vw1b			| ...
 
-vw2b:		cmp.w	#VT_1,_v_regs+VSDD_R11	| ...
+vw2b:		cmp.w	#VT_1,v_regs+VSDD_R11	| ...
 		bcs	vw2b			| ...
 
-vw3b:		cmp.w	#VT_1,_v_regs+VSDD_R11	| ...
+vw3b:		cmp.w	#VT_1,v_regs+VSDD_R11	| ...
 		bcc	vw3b			| ...
 
-vw4b:		cmp.w	#VT_2,_v_regs+VSDD_R11	| ...
+vw4b:		cmp.w	#VT_2,v_regs+VSDD_R11	| ...
 		bcs	vw4b			| ...
 
@@ -152,10 +152,10 @@
 
 | ------------------------------------------------------------------------------
-| unblank objects indicated by contents of d2  (loaded earlier from _vi_ctl)
+| unblank objects indicated by contents of d2  (loaded earlier from vi_ctl)
 | ------------------------------------------------------------------------------
 
 unblnk:		clr.w	d3			| clear the counter
-		clr.w	_vi_ctl			| clear the unblank control word
-		lea	_v_odtab,a1		| point at first object
+		clr.w	vi_ctl			| clear the unblank control word
+		lea	v_odtab,a1		| point at first object
 
 vicheck:	btst	d3,d2			| check the object bit
@@ -181,21 +181,21 @@
 		beq	vidone			| jump if so
 
-viwait:		tst.w	_vi_tag			| wait for timer to run out
+viwait:		tst.w	vi_tag			| wait for timer to run out
 		bne	viwait			| ... so timeint sees bank 0
 
-		move.w	d1,_v_regs+VSDD_R5	| restore v_regs[5] to old bank
-
-		move.w	_v_regs+VSDD_R11,VIct4	| save the VSDD R11 value
-
-vw1c:		cmp.w	#VT_1,_v_regs+VSDD_R11	| wait for FRAMESTOP
+		move.w	d1,v_regs+VSDD_R5	| restore v_regs[5] to old bank
+
+		move.w	v_regs+VSDD_R11,VIct4	| save the VSDD R11 value
+
+vw1c:		cmp.w	#VT_1,v_regs+VSDD_R11	| wait for FRAMESTOP
 		bcc	vw1c			| ...
 
-vw2c:		cmp.w	#VT_1,_v_regs+VSDD_R11	| ...
+vw2c:		cmp.w	#VT_1,v_regs+VSDD_R11	| ...
 		bcs	vw2c			| ...
 
-vw3c:		cmp.w	#VT_1,_v_regs+VSDD_R11	| ...
+vw3c:		cmp.w	#VT_1,v_regs+VSDD_R11	| ...
 		bcc	vw3c			| ...
 
-vw4c:		cmp.w	#VT_2,_v_regs+VSDD_R11	| ...
+vw4c:		cmp.w	#VT_2,v_regs+VSDD_R11	| ...
 		bcs	vw4c			| ...
 
@@ -219,6 +219,6 @@
 | ------------------------------------------------------------------------------
 
-_vi_sadr:	.ds.w	1			| score object base address
-_vi_scrl:	.ds.w	1			| score object scroll offset
+vi_sadr:	.ds.w	1			| score object base address
+vi_scrl:	.ds.w	1			| score object scroll offset
 
 lclsadr:	.ds.w	1			| local copy of vi_sadr
